NativeStructureControllerUpdateDataElementCategory Method |
PUT /NativeStructure/DataElementCategory/{id}
Updates a native structure element's category.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("DataElementCategory")]
public IActionResult UpdateDataElementCategory(
Guid id,
[FromBodyAttribute] UpdateDataElementCategoryOptions options,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("DataElementCategory")>
Public Function UpdateDataElementCategory (
id As Guid,
<FromBodyAttribute> options As UpdateDataElementCategoryOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"DataElementCategory")]
IActionResult^ UpdateDataElementCategory(
Guid id,
[FromBodyAttribute] UpdateDataElementCategoryOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("DataElementCategory")>]
member UpdateDataElementCategory :
id : Guid *
[<FromBodyAttribute>] options : UpdateDataElementCategoryOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the native structure that the element resides on. - options
- Type: Dundas.BI.WebApi.ModelsUpdateDataElementCategoryOptions
The options. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A status code indicating success or the reason for failure.
See Also